DRM_DEV_SET_UNIQUE(9)

NAME
drm_dev_set_unique - Set the unique name of a DRM device

SYNOPSIS

int drm_dev_set_unique(struct drm_device * dev, const char * fmt, ...);

ARGUMENTS

dev
    device of which to set the unique name

fmt
    format string for unique name

...
    variable arguments

DESCRIPTION

Sets the unique name of a DRM device using the specified format string and a variable list of arguments. Drivers can use this at driver probe time if the unique name of the devices they drive is static.

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT